Bug 139164 - readahead/readahead_early seem to ruin ide performance
readahead/readahead_early seem to ruin ide performance
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-13 09:06 EST by Wayne Walker
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 17:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wayne Walker 2004-11-13 09:06:13 EST
Description of problem:
Disk IO when two tasks are running is horrible, an xterm normally
(RH8,9,FC2) opens in 1 second, 3 seconds if an rpm install is running.

Under FC3, when an rpm install is running, a single xterm can take up
to 45 seconds to open.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. apt-get upgrade
2. While that runs, try to open an xterm, takes forever.
Actual results:
15 to 45 seconds to open xterm

Expected results:
1 to 4 seconds

Additional info:
Thinkpad 600x with P3-650 and 320 MB

looked at bug 138769 andturned off readahead and rebooted.  problem is
Comment 1 Matthew Miller 2006-07-10 17:32:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 17:33:00 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.